/// <reference types="node" />
import type { AsyncLocalStorage } from 'async_hooks';
export interface StaticGenerationStore {
    readonly isStaticGeneration: boolean;
    readonly pathname: string;
    readonly incrementalCache?: import('../../server/lib/incremental-cache').IncrementalCache;
    readonly isRevalidate?: boolean;
    revalidate?: number;
    forceDynamic?: boolean;
    fetchRevalidate?: boolean | number;
    forceStatic?: boolean;
    pendingRevalidates?: Promise<any>[];
}
export declare type StaticGenerationAsyncStorage = AsyncLocalStorage<StaticGenerationStore>;
export declare const staticGenerationAsyncStorage: StaticGenerationAsyncStorage;
